# This file was automatically generated by Dist::Zilla::Plugin::MakeMaker v6.008.
use strict;
use warnings;



use ExtUtils::MakeMaker;

my %WriteMakefileArgs = (
  "ABSTRACT" => "Multilocus sequence type checking using blast",
  "AUTHOR" => "Andrew J. Page <ap13\@sanger.ac.uk>",
  "CONFIGURE_REQUIRES" => {
    "ExtUtils::MakeMaker" => 0
  },
  "DISTNAME" => "Bio-MLST-Check",
  "EXE_FILES" => [
    "bin/download_fasta_database",
    "bin/download_mlst_databases",
    "bin/get_emm_sequence_type",
    "bin/get_sequence_type"
  ],
  "LICENSE" => "gpl",
  "NAME" => "Bio::MLST::Check",
  "PREREQ_PM" => {
    "Bio::AlignIO" => 0,
    "Bio::Perl" => 0,
    "Bio::PrimarySeq" => 0,
    "Bio::SeqIO" => 0,
    "Bio::SimpleAlign" => 0,
    "Cwd" => 0,
    "Data::Dumper" => 0,
    "Exporter" => 0,
    "File::Basename" => 0,
    "File::Copy" => 0,
    "File::Path" => "2.06",
    "File::Temp" => 0,
    "File::Which" => 0,
    "Getopt::Long" => 0,
    "HTTP::Request" => 0,
    "LWP::Simple" => 0,
    "LWP::UserAgent" => 0,
    "List::Util" => 0,
    "Moose" => 0,
    "Moose::Role" => 0,
    "Moose::Util::TypeConstraints" => 0,
    "POSIX" => 0,
    "Parallel::ForkManager" => 0,
    "Regexp::Common" => 0,
    "Text::CSV" => 0,
    "Try::Tiny" => 0,
    "XML::LibXML" => 0,
    "lib" => 0,
    "strict" => 0,
    "warnings" => 0
  },
  "TEST_REQUIRES" => {
    "Env::Path" => 0,
    "ExtUtils::MakeMaker" => 0,
    "File::Slurp" => 0,
    "File::Spec" => 0,
    "File::Touch" => 0,
    "HTTP::Status" => 0,
    "IO::Scalar" => 0,
    "String::Util" => 0,
    "Test::Exception" => 0,
    "Test::MockModule" => 0,
    "Test::More" => 0,
    "Test::Most" => 0
  },
  "VERSION" => "2.1.1706216",
  "test" => {
    "TESTS" => "t/*.t t/Blast/*.t t/CDC/*.t t/Download/*.t t/Input/*.t t/Output/*.t t/SequenceTypes/*.t t/Settings/*.t t/Validate/*.t"
  }
);


my %FallbackPrereqs = (
  "Bio::AlignIO" => 0,
  "Bio::Perl" => 0,
  "Bio::PrimarySeq" => 0,
  "Bio::SeqIO" => 0,
  "Bio::SimpleAlign" => 0,
  "Cwd" => 0,
  "Data::Dumper" => 0,
  "Env::Path" => 0,
  "Exporter" => 0,
  "ExtUtils::MakeMaker" => 0,
  "File::Basename" => 0,
  "File::Copy" => 0,
  "File::Path" => "2.06",
  "File::Slurp" => 0,
  "File::Spec" => 0,
  "File::Temp" => 0,
  "File::Touch" => 0,
  "File::Which" => 0,
  "Getopt::Long" => 0,
  "HTTP::Request" => 0,
  "HTTP::Status" => 0,
  "IO::Scalar" => 0,
  "LWP::Simple" => 0,
  "LWP::UserAgent" => 0,
  "List::Util" => 0,
  "Moose" => 0,
  "Moose::Role" => 0,
  "Moose::Util::TypeConstraints" => 0,
  "POSIX" => 0,
  "Parallel::ForkManager" => 0,
  "Regexp::Common" => 0,
  "String::Util" => 0,
  "Test::Exception" => 0,
  "Test::MockModule" => 0,
  "Test::More" => 0,
  "Test::Most" => 0,
  "Text::CSV" => 0,
  "Try::Tiny" => 0,
  "XML::LibXML" => 0,
  "lib" => 0,
  "strict" => 0,
  "warnings" => 0
);


unless ( eval { ExtUtils::MakeMaker->VERSION(6.63_03) } ) {
  delete $WriteMakefileArgs{TEST_REQUIRES};
  delete $WriteMakefileArgs{BUILD_REQUIRES};
  $WriteMakefileArgs{PREREQ_PM} = \%FallbackPrereqs;
}

delete $WriteMakefileArgs{CONFIGURE_REQUIRES}
  unless eval { ExtUtils::MakeMaker->VERSION(6.52) };

WriteMakefile(%WriteMakefileArgs);
